#!/bin/bash
#Ubuntu init install
#sed -i 's/\r$//' init.sh 
#2017-05-20
#version 1.8
#author:wangjie
#V1.2:update add init lock
#V1.3:update jdkPath 2017-06-20 11:05:17
#V1.4:add export JRE_HOME 2017-06-26 16:17:08
#V1.41:add initreturn
#V1.5:add autostartup shell 2017-07-08 23:36:27
#V1.6:add network test 2017-07-24 10:55:21
#V1.7:add Version testing 2017年9月19日 16:03:15
#V1.8:change ubuntu version to 18.04 2022-06-24 16:28:00
#V1.9:change ubuntu version to 20.04 2023-04-23 13:17:00
#V1.9:change ubuntu version to 22.04 2023-11-23 15:10:00

IUSER=`cat /etc/passwd | grep '1000' | awk -F ":" '{ print $1}'`

chmod +x ./sh/*

ping -c 1 -W 1 www.baidu.com
if [ $? -ne 0 ];then echo "请检查网络连接!" ; exit 1; fi

if [ `whoami` != "root" ];then
	  echo "请登录root用户执行！"
	    exit 1;
    fi


date '+时间 : %Y-%m-%d %H:%M:%S' >> /home/start.log
echo "开始部署脚本" >> /home/start.log
echo "##########" >> /home/start.log

echo -n "部署环境选择:

==============================
=  1:WCS分拣服务器环境部署   =
=  2:FTP图片服务器环境部署   =
=  3:WCS与FTP同时部署        =
=  4:退出                    =
==============================

请输入[1|2|3|4]："
read type

if [ $type -eq 1 ];then
    echo "<<======== START ===================>>"
    date '+时间 : %Y-%m-%d %H:%M:%S' >> /home/start.log
    echo "部署选择[1:WCS分拣服务器环境部署]" >> /home/start.log
    echo "##########" >> /home/start.log

check ubuntu
./sh/check_ubuntu.sh
if [ $? -ne 0 ];then echo "check ubuntu err!" ; exit 1; fi

./sh/install_tools.sh
if [ $? -ne 0 ];then echo "tools install err!" ; exit 1; fi

./sh/install_jdk.sh ${IUSER}
if [ $? -ne 0 ];then echo "JDK install err!" ; exit 1; fi

./sh/add_shell.sh ${IUSER}
if [ $? -ne 0 ];then echo "add shell err!" ; exit 1; fi

./sh/install_mysql.sh
if [ $? -ne 0 ];then echo "mysql install err!" ; exit 1; fi

#SimbaAutomation
#./sh/read_config.sh
elif [ $type -eq 2 ];then
    echo "<<========START===================>>"
    date '+时间 : %Y-%m-%d %H:%M:%S' >> /home/start.log
    echo "部署选择[2:FTP图片服务器环境部署]" >> /home/start.log
    echo "##########" >> /home/start.log

./sh/vsftpd_install.sh ${IUSER}
if [ $? -ne 0 ];then echo "install vsftp err!" ; exit 1; fi


elif [ $type -eq 3 ];then
    echo "<<======== START ===================>>"
    date '+时间 : %Y-%m-%d %H:%M:%S' >> /home/start.log
    echo "部署选择[3:WCS与FTP同时部署]" >> /home/start.log
    echo "##########" >> /home/start.log

./sh/check_ubuntu.sh
if [ $? -ne 0 ];then echo "check ubuntu err!" ; exit 1; fi

./sh/install_tools.sh
if [ $? -ne 0 ];then echo "tools install err!" ; exit 1; fi

./sh/install_jdk.sh ${IUSER}
if [ $? -ne 0 ];then echo "JDK install err!" ; exit 1; fi

./sh/add_shell.sh ${IUSER}
if [ $? -ne 0 ];then echo "add shell err!" ; exit 1; fi

./sh/install_mysql.sh
if [ $? -ne 0 ];then echo "mysql install err!" ; exit 1; fi

./sh/vsftpd_install.sh ${IUSER}
if [ $? -ne 0 ];then echo "install vsftp err!" ; exit 1; fi

elif [ $type == 4 ];then
  echo "Goodbye!"
  exit 1;
else
  echo "输入错误！"
  exit 1;
fi

touch /home/simba/reboot.log
#echo "date '+开机时间 : %Y-%m-%d %H:%M:%S' >> /home/simba/reboot.log" >> /etc/rc.local
echo "<<==================================>>"
echo "<<==                              ==>>"
echo "<<==        INSTALL OK!!!         ==>>"
echo "<<==                              ==>>"
echo "<<==================================>>"
echo "<<========= Please reboot ==========>>"
echo "<<============== END ===============>>"

echo "<<==================================>>" >> /home/start.log
echo "<<==                              ==>>" >> /home/start.log
echo "<<==        INSTALL OK!!!         ==>>" >> /home/start.log
echo "<<==                              ==>>" >> /home/start.log
echo "<<==================================>>" >> /home/start.log
echo "<<========= Please reboot ==========>>" >> /home/start.log
echo "<<============== END ===============>>" >> /home/start.log
echo "[部署已完成]" >> /home/start.log
date '+时间 : %Y-%m-%d %H:%M:%S' >> /home/start.log
